
<div class="btn btn-sm btn-group pull-right">
        <a class="btn btn-sm btn-primary<% if (tutorial_step.ordinal == 1) { %> disabled<% } %>" href="../<%- tutorial_step.ordinal - 1 %>/edit">
            Previous step
        </a>
        <a class="btn btn-sm btn-primary" href="../<%- tutorial_step.ordinal + 1 %>/edit">
            Next step
        </a>
        <a class="btn btn-sm btn-primary" href="../../edit">
            Back to tutorial definition
        </a>
    </div>
<h3><%- tutorial_title %> - Step <%- tutorial_step.ordinal %></h3>
<%
    locals.formAction = "";
    // locals.hideClone = true;
    locals.disableClone = true;
    locals.hideSave = true;
    locals.disableDelete = !is_virgin;
%>
<%- include ../../question/_editQuestionToolbar %>
<input type="hidden" name="tutorial_step[id]" value="<%- tutorial_step.id %>" />
<div class="container-fluid">

    <div class="row" >
        <div class="col-6 card card-body" id="preview-left">
            <div class="row">
                <div class="col-8">
                    <input type="text" required placeholder="Step title" class="form-control" name="tutorial_step[title]" value="<%- tutorial_step.title%>" />
                </div>
                <div class="col-4">
                    <a href="https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet" target="_blank">MD Cheat sheet</a>
                    <a href="http://www.tablesgenerator.com/markdown_tables" target="_blank">Tables generator</a>
                    <a href="https://jbt.github.io/markdown-editor/" target="_blank">Online editor</a>
                    <a href="https://arachnoid.com/latex/" target="_blank">Formulas editor</a>
                </div>
            </div>
            <div class="container-fluid card-body card">
                <textarea id="tutorial_step_text" name="tutorial_step[text]" data-a2-type="mdtext" style="min-height: 500px;"><%- tutorial_step.text %></textarea>
            </div>
        </div>
        <div class="col-6 card card-body" id="preview-right">
            <div class="row">
                <div class="col-3"><h4 class="card-title">Preview:</h4></div>
                <div class="col-4 offset-5"><button class="btn btn-outline-secondary float-right" type="button" id="btnSsRender" name="ssrender" value="ssrender" >Server-side render(formulas)</button></div>
            </div>
            <div id="preview" enhance-md data-a2-type="preview" data-a2-src="tutorial_step_text" class="container-fluid" style="border: 1px solid #D3D3D3;">
                Preview
            </div>

        </div>
    </div>
    <% if (question) { %>
        <div class="container-fluid">
            <div class="row" >
                <div class="col-6 card card-body" id="preview-left">
                    <%- include("../../question/_editQuestionHeader")  %>
                    <div class="row">
                        <div class="col-6"><h4 class="card-title">Question (GitHub flavored markdown)</h4></div>
                        <div class="col-6">
                            <a href="https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet" target="_blank">MD Cheat sheet</a>
                            <a href="http://www.tablesgenerator.com/markdown_tables" target="_blank">Tables generator</a>
                            <a href="https://jbt.github.io/markdown-editor/" target="_blank">Online editor</a>
                            <a href="https://arachnoid.com/latex/" target="_blank">Formulas editor</a>
                        </div>
                    </div>
                    <div class="container-fluid card-body card">
                        <input type="hidden" name="tutorial_question[id]" value="<%- question.id %>" />
                        <textarea id="question_text" name="tutorial_question[question_text]" data-a2-type="mdtext" style="min-height: 500px;"><%-question.question_text%></textarea>
                        <% if (sql_answer) { %>
                        Projection (π), Selection (σ), Rename (ρ), Natural join( ⋈ ), θ-join, Semijoin (⋉)(⋊), Antijoin (▷), Division (÷), Left
                            outer join (⟕),Right outer join (⟖),Full outer join (⟗)
                        <% } %>

                    </div>
                    <div class="container-fluid card-body card">
                        <div class="row">
                            <div class="col-1"><label for="question_tags">Tags</label></div>
                            <div class="col-11">
                                <% locals.combodata = {id: "question_tags[]", list:tags, name:"question_tags[]", selected: selectedTags, attributes: 'multiple', class: 'chosen-select col-10'}; %>
                                <%- include(`${locals.partialsRoot}/combo`) %>
                            </div>
                        </div>
                    </div>
                    <% if (answers.length) { %>
                        <%- include ../../question/_editQuestionABC %>
                    <% } %>
                </div>
                <div class="col-6 card card-body" id="preview-right">
                    <div class="row">
                        <div class="col-3"><h4 class="card-title">Preview:</h4></div>
                        <div class="col-4 offset-5"><button class="btn btn-outline-secondary float-right" type="button" id="btnSsRender" name="ssrender" value="ssrender" >Server-side render(formulas)</button></div>
                    </div>
                    <div id="preview" data-a2-type="preview" data-a2-src="question_text" class="container-fluid" style="border: 1px solid #D3D3D3;">
                        Preview
                    </div>
                    <%  if (answers.length) { %>
                         <%- include ../../question/_editQuestionABCPreview %>
                    <% } %>
                </div>
            </div>
                <% if (sql_answer) { %>
                    <% locals.show_answer_hints = true; %>
                     <%- include ./../../question/_editQuestionSQL %>
                     <!-- Code question include (C, Java, ...) goes below in else if... -->
                <% } %>
        </div>

        <div class="container-fluid">
            <div class="row">
                <div class="card card-body">
                    <h4 class="card-title">Step hints</h4>
                    <p>Textual hints are provided on student request in the given order.</p>
                    <div class="table-responsive">
                        <table id="stepHintsTable" class="table">
                                <thead>
                                    <th style="width: 50px">Active</th>
                                    <th style="width: 100px">Ordinal</th>
                                    <th>Hint text</th>
                                    <th>Hint preview</th>
                                </thead>
                                <tbody>
                                    <% for(var i = 0; i < step_hints.length + 5; ++i) { %>
                                        <tr>
                                            <td>
                                                <input type="checkbox" name="step_hints[<%- i %>][is_active]" value="true"
                                                    <% if (i >= step_hints.length || step_hints[i].is_active) { %>checked <% } %> />
                                            </td>
                                            <td>
                                                <% if (i < step_hints.length) { %>
                                                    <input type="hidden" name="step_hints[<%- i %>][id]" value="<%- step_hints[i].id %>" />
                                                <% } %>
                                                <input type="number" class="form-control" min="1" max="100" name="step_hints[<%- i %>][ordinal]" value="<%- i < step_hints.length ? step_hints[i].ordinal : i + 1 %>" />
                                            </td>
                                            <td>
                                                <textarea id="step_hints_<%- i %>_hint_text" name="step_hints[<%- i %>][hint_text]" data-a2-type="code"><%- i < step_hints.length ? step_hints[i].hint_text : '' %></textarea>
                                            </td>
                                            <td>
                                                <div data-a2-type="preview" data-a2-src="step_hints_<%- i %>_hint_text"></div>
                                            </td>
                                        </tr>
                                    <% } %>
                                </tbody>
                            </table>
                            <p class="text-muted">
                                To add more hints, save the step and 5 additional empty rows will appear.<br/>
                                To remove a hint, simply save it as an empty text.
                            </p>
                    </div>
                </div>
            </div>
        </div>
    <% } %>
</form>
</div>




